Subject: RE: [Bridge-mib] WG Last Call:dratf-ietf-bridge-ext-v2-03.txt

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 22 Nov 2004 16:00:46 +0200

True. I am not sure where this recommendation comes from, but this indeed contradicts RFC 2613, which recommends that a 'propVirtual' ifEntry is created for a smonDataSource of type VLAN. 

I would suggest that this recommendation be relaxed, by replacing:

OLD:

 This document recommends that, within an entity, VLANs which are
   instantiated as an entry in dot1qVlanCurrentTable by either
   management configuration through dot1qVlanStaticTable or by dynamic
   means (e.g.  through GVRP), are NOT also represented by an entry in
   ifTable.

with

NEW:

 This document does not make any assumption that within an entity, VLANs which are
   instantiated as an entry in dot1qVlanCurrentTable by either
   management configuration through dot1qVlanStaticTable or by dynamic
   means (e.g.  through GVRP), are also represented by an entry in
   ifTable.

Regards,

Dan

> 12. In section 3.4.2.1, second paragraph, the recommendation 
> that VLANs
>      are not represented in the ifTable conflicts with SMON.  Not sure
>      what to do about this one, and I'm not sure IEEE is the 
> right place
>      to deal with it.
> 
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib

---

From: "Les Bell" <[email-masked]>
Date: Mon, 22 Nov 2004 15:43:49 +0000

I remember that in the meetings when this was discussed, it was the decision of
the WG that a VLAN should not be represented as an entry in the ifTable.  There
was a lot of debate about this, with strong feelings in both camps.  Eventually,
the debate was won by those who did not consider a VLAN to be an interface.
This debate occured before RFC 2613 was published.  I think the argument goes
something like: "A VLAN is a logical medium shared by a collection of
interfaces."

I believe things have moved on since then and it would be useful to acknowledge
that many implementations represent VLANs in the ifTable, but I think we should
not mandate it, as that would mean any implementation that had strictly
conformed to RFC 2674 would then be non-conformant.  So I would suggest changing
the wording below to say "... may also be represented by an entry in ifTable."

Les...

"Romascanu, Dan \(Dan\)" <[email-masked]>@ietf.org on 22/11/2004 14:00:46

Sent by:  [email-masked]

To:   "John Flick" <[email-masked]>, <[email-masked]>
cc:   "Congdon, Paul T" <[email-masked]>
Subject:  RE: [Bridge-mib] WG Last Call:dratf-ietf-bridge-ext-v2-03.txt

True. I am not sure where this recommendation comes from, but this indeed
contradicts RFC 2613, which recommends that a 'propVirtual' ifEntry is created
for a smonDataSource of type VLAN.

OLD:

with

NEW:

 This document does not make any assumption that within an entity, VLANs which
   are
   instantiated as an entry in dot1qVlanCurrentTable by either
   management configuration through dot1qVlanStaticTable or by dynamic
   means (e.g.  through GVRP), are also represented by an entry in
   ifTable.

Regards,

Dan

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 22 Nov 2004 17:54:36 +0200

I actually was not suggesting for a recommendation either way, but for a text that says 'makes no assumption', which reflects a neutral stand. 

Regards,

Dan

> -----Original Message-----
> From: Les Bell [mailto:[email-masked]]
> Sent: 22 November, 2004 5:44 PM
> To: Romascanu, Dan (Dan)
> Cc: John Flick; [email-masked]; Congdon, Paul T